from cpl_core.configuration.configuration_model_abc import ConfigurationModelABC


class PostBuildSettings(ConfigurationModelABC):
    def __init__(self, keep_configs: list = [], config_paths: list = []):
        ConfigurationModelABC.__init__(self)

        self._keep_config = keep_configs
        self._config_paths = config_paths

    @property
    def keep_config(self) -> list[str]:
        return self._keep_config

    @property
    def config_paths(self) -> list[str]:
        return self._config_paths
